package YClass;

import java.awt.*;
import java.awt.event.*;

public class YDialog extends Dialog{

  //Construct the applet
  public YDialog(Frame fr) {
  	this(fr,"","",true);
  }
  
  public YDialog(Frame fr, String title) {
  	this(fr, title,"", true);
  }
  
  public YDialog(Frame fr, String title, String er, boolean modal) {
  	super(fr, title, modal);
  	this.setTitle(title);
    this.setLayout(new BorderLayout());
    this.setBackground(SystemColor.control);
    this.setModal(modal);
    this.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				dispose();
			}
		});
		if(er.length()>0){
			Button ok = new Button("OK");
   	  ok.addMouseListener(new MouseAdapter() {
   	  	public void  mouseClicked(MouseEvent e) {
   	  		dispose();
   	  	}
   	  });   	  	
			Panel p = new Panel();
			this.add(new Label(er,Label.CENTER), BorderLayout.CENTER);
			this.add(p, BorderLayout.SOUTH);
			p.add(ok);
		}
		if(er.length()==0)
			this.setSize(270,170);
		  else this.setSize(350,100);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    this.setLocation((d.width - this.getSize().width) / 2, (d.height - this.getSize().height) / 2);
  }
  


}